# Generated by Django 4.0.4 on 2022-09-28 15:08

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('backend', '0022_merge_20220927_0753'),
    ]

    operations = [
        migrations.CreateModel(
            name='RasterLayer',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=75, null=True)),
                ('path', models.CharField(blank=True, max_length=150, null=True)),
                ('extent', models.CharField(blank=True, max_length=75, null=True)),
                ('visibility', models.BooleanField(default=True)),
            ],
        ),
        migrations.AddField(
            model_name='maplayer',
            name='raster',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='backend.rasterlayer'),
        ),
    ]
